<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(5);
$doc -> title = 'Параметры форума';

if (isset($_POST['save']))
{

$dcms->forum_message_captcha=(int)!empty($_POST['forum_message_captcha']);
$dcms->forum_theme_captcha=(int)!empty($_POST['forum_theme_captcha']);
$dcms->forum_theme_after_day=(int)!empty($_POST['forum_theme_after_day']);
// максимальный размер файла
$dcms->forum_files_upload_size=(int)($_POST['forum_files_upload_size']*1024);
if ($dcms->save_settings())$doc->msg('Настройки успешно сохранены');
else $doc->err('Нет прав на запись в файл настроек');
}

$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen());
$elements=array();


$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->forum_theme_after_day, 'name'=>'forum_theme_after_day',
 'text'=>'Создание тем только через сутки после регистрации *'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->forum_theme_captcha, 'name'=>'forum_theme_captcha',
 'text'=>'Создание тем через капчу *'));
 
$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->forum_message_captcha, 'name'=>'forum_message_captcha',
 'text'=>'Сообщения через капчу *'));

$elements[]=array('type'=>'input_text', 'title'=>'Макс. размер прикрепляемого файла (KB)', 'br'=>1,
'info'=>array('name' => 'forum_files_upload_size','value'=>(int)($dcms->forum_files_upload_size/1024)));

$elements[]=array('type'=>'text', 'br'=>1, 'value'=>'* - Применимо только для пользователей');
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Применить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');


$doc->ret('Админка','/dpanel/');
?>
